**ISBN 978-5-7883-1556-0**

# АНАЛИЗ СОЦИАЛЬНЫХ СЕТЕЙ


### Теория

0. [Введение](0.introduction.md)
1. [Социальные сети и использование их данных](1.social_networks_content.md)
2. [Сбор данных, инструменты по сбору и обработке данных](2.instruments_for_data_crawling_and_analysis.md)
3. [Анализ текстового контента в социальных сетях, алгоритмы классификации текстовых сообщений](3.social_network_text_analysis_and_clusterisation.md)
4. [Визуализация данных социальных сетей](4.social_network_data_visualisation.md)
5. [Представление социальной сети графом большой размерности, анализ связей](5.social_network_graph_connections_analysis.md)
6. [Сетевые сообщества и кластерный анализ данных социальных сетей](6.network_communities_and_cluster_analysis.md)
7. [Моделирование социальных сетей](7.social_network_models.md)
8. [Ссылки между профилями пользователей в разных социальных сетях](8.connection_of_user_profiles_in_different_social_networks.md)
9. [Существующие решения по анализу социальных сетей](9.existing_solutions_for_social_network_analysis.md)
10. [Литература](literature.md)

### Практика
- [Лабораторная работа № 1 «Сбор данных социальных сетей»](lab1.md)
- [Лабораторная работа № 2 «Предобработка и классификация данных социальных сетей»](lab2.md)
- [Лабораторная работа № 3 «Кластеризация изображений»](lab3.md)
- [Лабораторная работа № 4 «Визуализация связей в виде графов»](lab4.md)

В данном пособии рассмотрены особенности анализа данных, а также связей в социальных сетях. Проведен обзор существующих инструментов по сбору, обработке и анализу данных. Исследованы вопросы визуализации,  кластерного анализа и моделирования социальных сетей. Рассмотрены методы и алгоритмы анализа текстовой информации. 

В целях практического применения описанных сведений в пособии приводится цикл разработанных лабораторных работ. 

Предназначено для обучающихся по направлению подготовки 01.04.02.

Прикладная математика и информатика. 

Подготовлено на [кафедре технической кибернетики](https://ssau.ru/info/struct/op/deps/tk).
